<!DOCTYPE html>

{% load static %}

{% block links %}
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
<link rel="stylesheet" type="text/css" href="{% static '/css/general.css' %}" />
<link rel="stylesheet" type="text/css" href="{% static '/css/onboarding.css' %}" />
<link
     rel="stylesheet"
     href="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.8/css/intlTelInput.css"
   />
   <script src="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.8/js/intlTelInput.min.js"></script>
<script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
{% endblock %}

<!--There two forms here instead of just one.
    detail1_form holds the first and last name and detail2_form - phone_number,birthday 
    I suggest rendering them like this:
    {% for field in detail1_form %} <- change this to detail2_form for phone_number,birthday
        <p >{{ field.label_tag }} </p> <- the label by default generates as the firlds name but with capital letters and removes any underscores
        <p >{{ field }}</p>
        {% if field.errors %} <- this if is the errors
            {% for error in field.errors %}
                <p class="error">{{ error|escape }}</p>
            {% endfor %}
        {% endif %}
    {% endfor %}

    Both forms should still be under just one form tag. If you want to access a specific field they are:
    detail1_form.first_name, detail1_form.last_name, detail2_form.phone_number, detail2_form.birthday-->


{% block body %}
<div class="signup-header">
  <h1 class="text-heading">Step 2/3</h1>
  <h2 class="text-subhead">Some basic information</h2>
</div>
<form method="post" action="{% url 'register_info2' %}">
    {% csrf_token %}
    <!-- {{ detail1_form.as_p }}
    {{ detail2_form.as_p }} -->

    <div id="onboardCarousel" class="carousel slide" data-bs-interval="false">
        
        <div class="carousel-inner">
          <div class="carousel-item active">
            <div class="container">
                <div class="signup-username">
                    <div class="signup-form mt-5">
                        <div class="row g-2">
                            <div class="col">
                            <label for="id_first_name">First Name</label>
                              {{detail1_form.first_name}}
                              <!--<input type="text" name="first_name" maxlength="150" id="id_first_name" class="form-control" placeholder="First name" aria-label="First name">-->
                            </div>
                            <div class="col">
                            <label for="id_last_name">Last Name</label>
                              {{detail1_form.last_name}}
                               <!--<input type="text" name="last_name" maxlength="150" id="id_last_name" class="form-control" placeholder="Last name" aria-label="Last name">-->
                            </div>
                          </div>
                        <span class="helptext">{{detail1_form.first_name.help_text}}</span><br>
                        {% if detail1_form.first_name.errors %}
                          {% for error in detail1_form.first_name.errors %}
                            <p class="error">{{ error|escape }}</p>
                          {% endfor %}
                        {% endif %}
                        <span class="helptext">{{detail1_form.last_name.help_text}}</span><br>
                        {% if detail1_form.last_name.errors %}
                        <div class="alert">
                          {% for error in detail1_form.last_name.errors %}
                            <p class="error">{{ error|escape }}</p>
                          {% endfor %}
                        </div>
                        {% endif %}
                    </div>
                   
                
                 </div>
            </div>
          </div>
          <div class="carousel-item">
              <div class="container justify-content-center">
                <div class="signup-username">
                    <div class="signup-form mt-5">
                        <label for="id_birthday">Date of Birth</label>
                        {{detail2_form.birthday}}
                        <!---<input type="date" name="birthday" id="id_birthday"> -->

                        <span class="helptext">{{detail2_form.birthday.help_text}}</span><br>
                        {% if detail2_form.birthday.errors %}
                        <div class="alert">
                          {% for error in detail2_form.birthday.errors %}
                            <p class="error">{{ error|escape }}</p>
                          {% endfor %}
                          </div>
                        {% endif %}
                    </div>
                  <!-- {{ form.as_p }} -->
                
                 </div>
              </div>
            
          </div>
          <div class="carousel-item">
            <div class="container">
                <div class="signup-username" style="line-height: normal;">
                    <div class="signup-form mt-5">
                        <label for="id_phone_number">Phone Number</label>
                        {{detail2_form.phone_number}}
                        <!--<input type="tel" name="phone_number" maxlength="128" id="id_phone_number" onfocusout="process(event)"> -->
                        <p></p>
                        <span class="helptext">{{detail2_form.phone_number.help_text}}</span><br>
                        {% if detail2_form.phone_number.errors %}
                        <div class="alert">
                          {% for error in detail2_form.phone_number.errors %}
                            <p class="error">{{ error|escape }}</p>
                          {% endfor %}
                        </div>
                        {% endif %}
                    </div>
                    <br>
                    
                    <div class="text-center">
                      <button class="btn button-disabled" type="submit" id="Reg">Register</button>
                    </div>
                    
                  <!-- {{ form.as_p }} -->
                
                
                </div>
              </div>
          </div>
        </div>
        
        <div class="control d-flex justify-content-between">
            <button class="btn button-primary ps-1 invisible" type="button" data-bs-target="#onboardCarousel" data-bs-slide="prev" id="prev"><span class="material-icons">&#xe5cb;</span>Previous</button>
            <button class="btn button-disabled pe-1" type="button" data-bs-target="#onboardCarousel" data-bs-slide="next" id="next">Next<span class="material-icons">&#xe409;</span></button>
            
        </div>
      </div>

    <script>
        var myCarousel = document.querySelector("#onboardCarousel")
        var carousel = new bootstrap.Carousel(myCarousel, {
          interval: false,
          wrap: false
        })
      
        myCarousel.addEventListener('slide.bs.carousel', function (e) {
            if (e.to == 0) {
                $("#prev").addClass("invisible");
            } 
            if (e.to == 1) {
                $("#prev").removeClass("invisible").addClass("visible");
                $('#next').removeClass("d-none").addClass("d-block");
                $('#next').removeClass("button-primary").addClass("button-disabled");
            } 
            if (e.to == 2) {
              $("#prev").removeClass("invisible").addClass("visible");
              $('#next').addClass("d-none");
            } 
          })
          $(document).ready(function() {
            $('#id_first_name, #id_last_name').blur(function()
              {
                  if( !$(this).val() ) {
                      $('#next').removeClass("button-primary").addClass("button-disabled");
                  } else {
                      $('#next').removeClass("button-disabled").addClass("button-primary");
                  }
              });
              

              $('#id_birthday').blur(function()
              {
                  if( !$(this).val() ) {
                      $('#next').removeClass("button-primary").addClass("button-disabled");
                  } else {
                      $('#next').removeClass("button-disabled").addClass("button-primary");
                  }
              });


              $('#id_first_name, #id_last_name, #id_birthday, #id_phone_number').blur(function()
              {
                  if( !$(this).val() ) {
                      $('#Reg').removeClass("button-primary").addClass("button-disabled");
                  } else {
                      $('#Reg').removeClass("button-disabled").addClass("btn-success");
                  }
              });
          });
      </script>
      <script>
        const phoneInputField = document.querySelector("#id_phone_number");
        const phoneInput = window.intlTelInput(phoneInputField, {
          utilsScript:
            "https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.8/js/utils.js",
        });

        function process(event) {
          event.preventDefault();

          const phoneNumber = phoneInput.getNumber();

          document.getElementById("id_phone_number").value = phoneNumber;
          }

      </script>
      <script>
        $(document).ready(function(){
          var slide_error = '{{ slide_error }}';
          var slide_error_int = parseInt(slide_error);
          if (slide_error_int =>0){
            $("#onboardCarousel").carousel(slide_error_int);
          }

        });
      </script>
</form>
{% endblock %}
